Summary:	Enhanced WHOIS client
Name:		whois
Version:	4.7.30
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/Other
URL:		http://www.linux.it/~md/software/
Source0:	ftp://ftp.debian.org/debian/pool/main/w/whois/%{name}_%{version}.tar.gz
BuildRequires:	gettext
BuildRequires:	libidn-devel
Provides:	fwhois
Obsoletes:	fwhois
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a new whois (RFC 954) client rewritten from scratch.

It is derived from and compatible with the usual BSD and RIPE whois(1)
programs.

It is intelligent and can automatically select the appropriate whois
server for most queries.

%prep
%setup -q

%build
%make OPTS="%{optflags}" HAVE_LIBIDN=1 LDFLAGS="%ldflags" whois pos

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1

%makeinstall BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir}
%makeinstall BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir} -C po

install -m0644 whois.conf %{buildroot}%{_sysconfdir}

%find_lang %{name}

# fix a file conflict with expect (#46500)
mv %{buildroot}%{_bindir}/mkpasswd %{buildroot}%{_bindir}/whois-mkpasswd
mv %{buildroot}%{_mandir}/man1/mkpasswd.1 %{buildroot}%{_mandir}/man1/whois-mkpasswd.1

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/whois.conf
%{_bindir}/whois
%{_bindir}/whois-mkpasswd
%{_mandir}/man1/whois.1*
%{_mandir}/man1/whois-mkpasswd.1*


%changelog
* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 4.7.30-2mdv2009.1
+ Revision: 316436
- really package lang files
- fix #46500 (conflict whois vs. expect)

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 4.7.30-1mdv2009.1
+ Revision: 316191
- 4.7.30
- use LDFLAGS from the %%configure macro

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.26-1mdv2009.0
+ Revision: 219510
- update to new version 4.7.26

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.24-1mdv2008.1
+ Revision: 173758
- new version
- new license policy
- enable support for libidn
- add config file to the file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.7.22-1mdv2008.0
+ Revision: 63896
- Updated to version 4.7.22.

* Wed Aug 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.7.21-2mdv2008.0
+ Revision: 63878
- Reenable IDN support now that our glibc is ok.

* Tue Apr 17 2007 Andreas Hasenack <andreas@mandriva.com> 4.7.21-1mdv2007.1
+ Revision: 13542
- updated to version 4.7.21


* Wed Feb 14 2007 Olivier Blin <oblin@mandriva.com> 4.7.20-2mdv2007.0
+ Revision: 120732
- make it run again by disabling IDN support (#28723)

* Tue Feb 13 2007 Olivier Blin <oblin@mandriva.com> 4.7.20-1mdv2007.1
+ Revision: 120418
- 4.7.20

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 4.7.13-2mdv2007.1
+ Revision: 108710
- Import whois

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 4.7.13-2mdv2007.1
- Rebuild

* Wed Apr 05 2006 Pascal Terjan <pterjan@mandriva.org> 4.7.13-1mdk
- 4.7.13 (handles .eu)
- mkrel

* Thu Oct 06 2005 Pascal Terjan <pterjan@mandriva.org> 4.7.5-1mdk
- 4.7.5

* Tue May 11 2004 Florin <florin@mandrakesoft.com> 4.6.14-1mdk
- 4.6.14
- remove the unused mandir patch

